# gsttranscoder

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstTranscoder

### Class structure

#### GstTranscoderClass

##### Fields

`parent_class` (GstObjectClass) –
No description available

### GstTranscoder.TranscoderClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

### GstTranscoder.TranscoderClass

##### Attributes

`parent_class` (Gst.ObjectClass) –
No description available

## GstTranscoder.Transcoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstTranscoder.Transcoder

## GstTranscoder.Transcoder

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstTranscoder.Transcoder

### Constructors

#### gst_transcoder_new

    GstTranscoder *
    gst_transcoder_new (const gchar * source_uri,
                        const gchar * dest_uri,
                        const gchar * encoding_profile)

Parameters:

`source_uri` –

The URI of the media stream to transcode

`dest_uri` –

The URI of the destination of the transcoded stream

`encoding_profile` –

The serialized GstEncodingProfile defining the output format. Have a look at the GstEncodingProfile documentation to find more about the serialization format.

Returns –

a new GstTranscoder instance

#### GstTranscoder.Transcoder.prototype.new

    function GstTranscoder.Transcoder.prototype.new(source_uri: String, dest_uri: String, encoding_profile: String): {
        // javascript wrapper for 'gst_transcoder_new'
    }

Parameters:

`source_uri` (String) –

The URI of the media stream to transcode

`dest_uri` (String) –

The URI of the destination of the transcoded stream

`encoding_profile` (String) –

The serialized GstPbutils.EncodingProfile defining the output format. Have a look at the GstPbutils.EncodingProfile documentation to find more about the serialization format.

Returns (GstTranscoder.Transcoder) –

a new GstTranscoder.Transcoder instance

#### GstTranscoder.Transcoder.new

    def GstTranscoder.Transcoder.new (source_uri, dest_uri, encoding_profile):
        #python wrapper for 'gst_transcoder_new'

Parameters:

`source_uri` (str) –

The URI of the media stream to transcode

`dest_uri` (str) –

The URI of the destination of the transcoded stream

`encoding_profile` (str) –

The serialized GstPbutils.EncodingProfile defining the output format. Have a look at the GstPbutils.EncodingProfile documentation to find more about the serialization format.

Returns (GstTranscoder.Transcoder) –

a new GstTranscoder.Transcoder instance

#### gst_transcoder_new_full

    GstTranscoder *
    gst_transcoder_new_full (const gchar * source_uri,
                             const gchar * dest_uri,
                             GstEncodingProfile * profile)

Parameters:

`source_uri` –

The URI of the media stream to transcode

`dest_uri` –

The URI of the destination of the transcoded stream

`profile` –

The GstEncodingProfile defining the output format have a look at the GstEncodingProfile documentation to find more about the serialization format.

Returns –

a new GstTranscoder instance

#### GstTranscoder.Transcoder.prototype.new_full

    function GstTranscoder.Transcoder.prototype.new_full(source_uri: String, dest_uri: String, profile: GstPbutils.EncodingProfile): {
        // javascript wrapper for 'gst_transcoder_new_full'
    }

Parameters:

`source_uri` (String) –

The URI of the media stream to transcode

`dest_uri` (String) –

The URI of the destination of the transcoded stream

`profile` (GstPbutils.EncodingProfile) –

The GstPbutils.EncodingProfile defining the output format have a look at the GstPbutils.EncodingProfile documentation to find more about the serialization format.

Returns (GstTranscoder.Transcoder) –

a new GstTranscoder.Transcoder instance

#### GstTranscoder.Transcoder.new_full

    def GstTranscoder.Transcoder.new_full (source_uri, dest_uri, profile):
        #python wrapper for 'gst_transcoder_new_full'

Parameters:

`source_uri` (str) –

The URI of the media stream to transcode

`dest_uri` (str) –

The URI of the destination of the transcoded stream

`profile` (GstPbutils.EncodingProfile) –

The GstPbutils.EncodingProfile defining the output format have a look at the GstPbutils.EncodingProfile documentation to find more about the serialization format.

Returns (GstTranscoder.Transcoder) –

a new GstTranscoder.Transcoder instance

### Methods

#### gst_transcoder_get_avoid_reencoding

    gboolean
    gst_transcoder_get_avoid_reencoding (GstTranscoder * self)

Parameters:

`self` –

The GstTranscoder to check whether reencoding is avoided or not.

Returns –

TRUE if the transcoder tries to avoid reencoding streams where reencoding is not strictly needed, FALSE otherwise.

#### GstTranscoder.Transcoder.prototype.get_avoid_reencoding

    function GstTranscoder.Transcoder.prototype.get_avoid_reencoding(): {
        // javascript wrapper for 'gst_transcoder_get_avoid_reencoding'
    }

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder.Transcoder to check whether reencoding is avoided or not.

Returns (Number) –

true if the transcoder tries to avoid reencoding streams where reencoding is not strictly needed, false otherwise.

#### GstTranscoder.Transcoder.get_avoid_reencoding

    def GstTranscoder.Transcoder.get_avoid_reencoding (self):
        #python wrapper for 'gst_transcoder_get_avoid_reencoding'

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder.Transcoder to check whether reencoding is avoided or not.

Returns (bool) –

True if the transcoder tries to avoid reencoding streams where reencoding is not strictly needed, False otherwise.

#### gst_transcoder_get_dest_uri

    gchar *
    gst_transcoder_get_dest_uri (GstTranscoder * self)

Gets the URI of the destination of the transcoded stream.

Parameters:

`self` –

GstTranscoder instance

Returns ( [transfer: full]) –

a string containing the URI of the destination of the transcoded stream. g_free after usage.

#### GstTranscoder.Transcoder.prototype.get_dest_uri

    function GstTranscoder.Transcoder.prototype.get_dest_uri(): {
        // javascript wrapper for 'gst_transcoder_get_dest_uri'
    }

Gets the URI of the destination of the transcoded stream.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (String) –

a string containing the URI of the destination of the transcoded stream. GLib.prototype.free after usage.

#### GstTranscoder.Transcoder.get_dest_uri

    def GstTranscoder.Transcoder.get_dest_uri (self):
        #python wrapper for 'gst_transcoder_get_dest_uri'

Gets the URI of the destination of the transcoded stream.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (str) –

a string containing the URI of the destination of the transcoded stream. GLib.free after usage.

#### gst_transcoder_get_duration

    GstClockTime
    gst_transcoder_get_duration (GstTranscoder * self)

Retrieves the duration of the media stream that self represents.

Parameters:

`self` –

GstTranscoder instance

Returns –

the duration of the transcoding media stream, in nanoseconds.

#### GstTranscoder.Transcoder.prototype.get_duration

    function GstTranscoder.Transcoder.prototype.get_duration(): {
        // javascript wrapper for 'gst_transcoder_get_duration'
    }

Retrieves the duration of the media stream that self represents.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (Number) –

the duration of the transcoding media stream, in nanoseconds.

#### GstTranscoder.Transcoder.get_duration

    def GstTranscoder.Transcoder.get_duration (self):
        #python wrapper for 'gst_transcoder_get_duration'

Retrieves the duration of the media stream that self represents.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (int) –

the duration of the transcoding media stream, in nanoseconds.

#### gst_transcoder_get_message_bus

    GstBus *
    gst_transcoder_get_message_bus (GstTranscoder * transcoder)

GstTranscoder API exposes a GstBus instance which purpose is to provide data structures representing transcoder-internal events in form of GstMessage-s of type GST_MESSAGE_APPLICATION.

Each message carries a "transcoder-message" field of type GstTranscoderMessage. Further fields of the message data are specific to each possible value of that enumeration.

Applications can consume the messages asynchronously within their own event-loop / UI-thread etc. Note that in case the application does not consume the messages, the bus will accumulate these internally and eventually fill memory. To avoid that, the bus has to be set "flushing".

Parameters:

`transcoder` –

GstTranscoder instance

Returns ( [transfer: full]) –

The transcoder message bus instance

Since : 1.20

#### GstTranscoder.Transcoder.prototype.get_message_bus

    function GstTranscoder.Transcoder.prototype.get_message_bus(): {
        // javascript wrapper for 'gst_transcoder_get_message_bus'
    }

GstTranscoder API exposes a Gst.Bus instance which purpose is to provide data structures representing transcoder-internal events in form of Gst.Message-s of type GST_MESSAGE_APPLICATION.

Each message carries a "transcoder-message" field of type GstTranscoder.TranscoderMessage. Further fields of the message data are specific to each possible value of that enumeration.

Applications can consume the messages asynchronously within their own event-loop / UI-thread etc. Note that in case the application does not consume the messages, the bus will accumulate these internally and eventually fill memory. To avoid that, the bus has to be set "flushing".

Parameters:

`transcoder` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (Gst.Bus) –

The transcoder message bus instance

Since : 1.20

#### GstTranscoder.Transcoder.get_message_bus

    def GstTranscoder.Transcoder.get_message_bus (self):
        #python wrapper for 'gst_transcoder_get_message_bus'

GstTranscoder API exposes a Gst.Bus instance which purpose is to provide data structures representing transcoder-internal events in form of Gst.Message-s of type GST_MESSAGE_APPLICATION.

Each message carries a "transcoder-message" field of type GstTranscoder.TranscoderMessage. Further fields of the message data are specific to each possible value of that enumeration.

Applications can consume the messages asynchronously within their own event-loop / UI-thread etc. Note that in case the application does not consume the messages, the bus will accumulate these internally and eventually fill memory. To avoid that, the bus has to be set "flushing".

Parameters:

`transcoder` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (Gst.Bus) –

The transcoder message bus instance

Since : 1.20

#### gst_transcoder_get_pipeline

    GstElement *
    gst_transcoder_get_pipeline (GstTranscoder * self)

Parameters:

`self` –

GstTranscoder instance

Returns ( [transfer: full]) –

The internal uritranscodebin instance

#### GstTranscoder.Transcoder.prototype.get_pipeline

    function GstTranscoder.Transcoder.prototype.get_pipeline(): {
        // javascript wrapper for 'gst_transcoder_get_pipeline'
    }

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (Gst.Element) –

The internal uritranscodebin instance

#### GstTranscoder.Transcoder.get_pipeline

    def GstTranscoder.Transcoder.get_pipeline (self):
        #python wrapper for 'gst_transcoder_get_pipeline'

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (Gst.Element) –

The internal uritranscodebin instance

#### gst_transcoder_get_position

    GstClockTime
    gst_transcoder_get_position (GstTranscoder * self)

Parameters:

`self` –

GstTranscoder instance

Returns –

the absolute position time, in nanoseconds, of the transcoding stream.

#### GstTranscoder.Transcoder.prototype.get_position

    function GstTranscoder.Transcoder.prototype.get_position(): {
        // javascript wrapper for 'gst_transcoder_get_position'
    }

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (Number) –

the absolute position time, in nanoseconds, of the transcoding stream.

#### GstTranscoder.Transcoder.get_position

    def GstTranscoder.Transcoder.get_position (self):
        #python wrapper for 'gst_transcoder_get_position'

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (int) –

the absolute position time, in nanoseconds, of the transcoding stream.

#### gst_transcoder_get_position_update_interval

    guint
    gst_transcoder_get_position_update_interval (GstTranscoder * self)

Parameters:

`self` –

GstTranscoder instance

Returns –

current position update interval in milliseconds

#### GstTranscoder.Transcoder.prototype.get_position_update_interval

    function GstTranscoder.Transcoder.prototype.get_position_update_interval(): {
        // javascript wrapper for 'gst_transcoder_get_position_update_interval'
    }

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (Number) –

current position update interval in milliseconds

#### GstTranscoder.Transcoder.get_position_update_interval

    def GstTranscoder.Transcoder.get_position_update_interval (self):
        #python wrapper for 'gst_transcoder_get_position_update_interval'

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (int) –

current position update interval in milliseconds

#### gst_transcoder_get_signal_adapter

    GstTranscoderSignalAdapter *
    gst_transcoder_get_signal_adapter (GstTranscoder * self,
                                       GMainContext * context)

Gets the GstTranscoderSignalAdapter attached to self if it is attached to the right GMainContext. If no GstTranscoderSignalAdapter has been created yet, it will be created and returned, other calls will return that same adapter until it is destroyed, at which point, a new one can be attached the same way.

Parameters:

`self` ( [transfer: none]) –

GstTranscoder instance to emit signals for.

`context` ( [nullable]) –

A GMainContext on which the main-loop will process transcoder bus messages on. Can be NULL (thread-default context will be used then).

Returns ( [transfer: full][nullable]) –

The GstTranscoderSignalAdapter to connect signal handlers to.

Since : 1.20

#### GstTranscoder.Transcoder.prototype.get_signal_adapter

    function GstTranscoder.Transcoder.prototype.get_signal_adapter(context: GMainContext (not introspectable)): {
        // javascript wrapper for 'gst_transcoder_get_signal_adapter'
    }

Gets the GstTranscoder.TranscoderSignalAdapter attached to self if it is attached to the right GMainContext (not introspectable). If no GstTranscoder.TranscoderSignalAdapter has been created yet, it will be created and returned, other calls will return that same adapter until it is destroyed, at which point, a new one can be attached the same way.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance to emit signals for.

`context` (GMainContext (not introspectable)) –

A GMainContext (not introspectable) on which the main-loop will process transcoder bus messages on. Can be NULL (thread-default context will be used then).

Returns (GstTranscoder.TranscoderSignalAdapter) –

The GstTranscoder.TranscoderSignalAdapter to connect signal handlers to.

Since : 1.20

#### GstTranscoder.Transcoder.get_signal_adapter

    def GstTranscoder.Transcoder.get_signal_adapter (self, context):
        #python wrapper for 'gst_transcoder_get_signal_adapter'

Gets the GstTranscoder.TranscoderSignalAdapter attached to self if it is attached to the right GMainContext (not introspectable). If no GstTranscoder.TranscoderSignalAdapter has been created yet, it will be created and returned, other calls will return that same adapter until it is destroyed, at which point, a new one can be attached the same way.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance to emit signals for.

`context` (GMainContext (not introspectable)) –

A GMainContext (not introspectable) on which the main-loop will process transcoder bus messages on. Can be NULL (thread-default context will be used then).

Returns (GstTranscoder.TranscoderSignalAdapter) –

The GstTranscoder.TranscoderSignalAdapter to connect signal handlers to.

Since : 1.20

#### gst_transcoder_get_source_uri

    gchar *
    gst_transcoder_get_source_uri (GstTranscoder * self)

Gets the URI of the currently-transcoding stream.

Parameters:

`self` –

GstTranscoder instance

Returns ( [transfer: full]) –

a string containing the URI of the source stream. g_free after usage.

#### GstTranscoder.Transcoder.prototype.get_source_uri

    function GstTranscoder.Transcoder.prototype.get_source_uri(): {
        // javascript wrapper for 'gst_transcoder_get_source_uri'
    }

Gets the URI of the currently-transcoding stream.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (String) –

a string containing the URI of the source stream. GLib.prototype.free after usage.

#### GstTranscoder.Transcoder.get_source_uri

    def GstTranscoder.Transcoder.get_source_uri (self):
        #python wrapper for 'gst_transcoder_get_source_uri'

Gets the URI of the currently-transcoding stream.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

Returns (str) –

a string containing the URI of the source stream. GLib.free after usage.

#### gst_transcoder_get_sync_signal_adapter

    GstTranscoderSignalAdapter *
    gst_transcoder_get_sync_signal_adapter (GstTranscoder * self)

Gets the GstTranscoderSignalAdapter attached to self to emit signals from its thread of emission.

Parameters:

`self` ( [transfer: none]) –

GstTranscoder instance to emit signals synchronously for.

Returns ( [transfer: full]) –

The GstTranscoderSignalAdapter to connect signal handlers to.

Since : 1.20

#### GstTranscoder.Transcoder.prototype.get_sync_signal_adapter

    function GstTranscoder.Transcoder.prototype.get_sync_signal_adapter(): {
        // javascript wrapper for 'gst_transcoder_get_sync_signal_adapter'
    }

Gets the GstTranscoder.TranscoderSignalAdapter attached to self to emit signals from its thread of emission.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance to emit signals synchronously for.

Returns (GstTranscoder.TranscoderSignalAdapter) –

The GstTranscoder.TranscoderSignalAdapter to connect signal handlers to.

Since : 1.20

#### GstTranscoder.Transcoder.get_sync_signal_adapter

    def GstTranscoder.Transcoder.get_sync_signal_adapter (self):
        #python wrapper for 'gst_transcoder_get_sync_signal_adapter'

Gets the GstTranscoder.TranscoderSignalAdapter attached to self to emit signals from its thread of emission.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance to emit signals synchronously for.

Returns (GstTranscoder.TranscoderSignalAdapter) –

The GstTranscoder.TranscoderSignalAdapter to connect signal handlers to.

Since : 1.20

#### gst_transcoder_run

    gboolean
    gst_transcoder_run (GstTranscoder * self,
                        GError ** error)

Run the transcoder task synchonously. You can connect to the 'position' signal to get information about the progress of the transcoding.

Parameters:

`self` –

The GstTranscoder to run

`error` ( [allow-none]) –

An error to be set if transcoding fails

Returns –
No description available

#### GstTranscoder.Transcoder.prototype.run

    function GstTranscoder.Transcoder.prototype.run(): {
        // javascript wrapper for 'gst_transcoder_run'
    }

Run the transcoder task synchonously. You can connect to the 'position' signal to get information about the progress of the transcoding.

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder to run

Returns (Number) –
No description available

#### GstTranscoder.Transcoder.run

    @raises(GLib.GError)
    def GstTranscoder.Transcoder.run (self):
        #python wrapper for 'gst_transcoder_run'

Run the transcoder task synchonously. You can connect to the 'position' signal to get information about the progress of the transcoding.

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder to run

Returns (bool) –
No description available

#### gst_transcoder_run_async

    gst_transcoder_run_async (GstTranscoder * self)

Run the transcoder task asynchronously. You should connect to the 'done' signal to be notified about when the transcoding is done, and to the 'error' signal to be notified about any error.

Parameters:

`self` –

The GstTranscoder to run

#### GstTranscoder.Transcoder.prototype.run_async

    function GstTranscoder.Transcoder.prototype.run_async(): {
        // javascript wrapper for 'gst_transcoder_run_async'
    }

Run the transcoder task asynchronously. You should connect to the 'done' signal to be notified about when the transcoding is done, and to the 'error' signal to be notified about any error.

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder to run

#### GstTranscoder.Transcoder.run_async

    def GstTranscoder.Transcoder.run_async (self):
        #python wrapper for 'gst_transcoder_run_async'

Run the transcoder task asynchronously. You should connect to the 'done' signal to be notified about when the transcoding is done, and to the 'error' signal to be notified about any error.

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder to run

#### gst_transcoder_set_avoid_reencoding

    gst_transcoder_set_avoid_reencoding (GstTranscoder * self,
                                         gboolean avoid_reencoding)

Parameters:

`self` –

The GstTranscoder to set whether reencoding should be avoided or not.

`avoid_reencoding` –

TRUE if the transcoder should try to avoid reencoding streams where * reencoding is not strictly needed, FALSE otherwise.

#### GstTranscoder.Transcoder.prototype.set_avoid_reencoding

    function GstTranscoder.Transcoder.prototype.set_avoid_reencoding(avoid_reencoding: Number): {
        // javascript wrapper for 'gst_transcoder_set_avoid_reencoding'
    }

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder.Transcoder to set whether reencoding should be avoided or not.

`avoid_reencoding` (Number) –

true if the transcoder should try to avoid reencoding streams where * reencoding is not strictly needed, false otherwise.

#### GstTranscoder.Transcoder.set_avoid_reencoding

    def GstTranscoder.Transcoder.set_avoid_reencoding (self, avoid_reencoding):
        #python wrapper for 'gst_transcoder_set_avoid_reencoding'

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder.Transcoder to set whether reencoding should be avoided or not.

`avoid_reencoding` (bool) –

True if the transcoder should try to avoid reencoding streams where * reencoding is not strictly needed, False otherwise.

#### gst_transcoder_set_cpu_usage

    gst_transcoder_set_cpu_usage (GstTranscoder * self,
                                  gint cpu_usage)

Sets cpu_usage as target percentage CPU usage of the process running the transcoding task. It will modulate the transcoding speed to reach that target usage.

Parameters:

`self` –

The GstTranscoder to limit CPU usage on.

`cpu_usage` –

The percentage of the CPU the process running the transcoder should try to use. It takes into account the number of cores available.

#### GstTranscoder.Transcoder.prototype.set_cpu_usage

    function GstTranscoder.Transcoder.prototype.set_cpu_usage(cpu_usage: Number): {
        // javascript wrapper for 'gst_transcoder_set_cpu_usage'
    }

Sets cpu_usage as target percentage CPU usage of the process running the transcoding task. It will modulate the transcoding speed to reach that target usage.

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder to limit CPU usage on.

`cpu_usage` (Number) –

The percentage of the CPU the process running the transcoder should try to use. It takes into account the number of cores available.

#### GstTranscoder.Transcoder.set_cpu_usage

    def GstTranscoder.Transcoder.set_cpu_usage (self, cpu_usage):
        #python wrapper for 'gst_transcoder_set_cpu_usage'

Sets cpu_usage as target percentage CPU usage of the process running the transcoding task. It will modulate the transcoding speed to reach that target usage.

Parameters:

`self` (GstTranscoder.Transcoder) –

The GstTranscoder to limit CPU usage on.

`cpu_usage` (int) –

The percentage of the CPU the process running the transcoder should try to use. It takes into account the number of cores available.

#### gst_transcoder_set_position_update_interval

    gst_transcoder_set_position_update_interval (GstTranscoder * self,
                                                 guint interval)

Set interval in milliseconds between two position-updated signals. Pass 0 to stop updating the position.

Parameters:

`self` –

GstTranscoder instance

`interval` –

interval in ms

#### GstTranscoder.Transcoder.prototype.set_position_update_interval

    function GstTranscoder.Transcoder.prototype.set_position_update_interval(interval: Number): {
        // javascript wrapper for 'gst_transcoder_set_position_update_interval'
    }

Set interval in milliseconds between two position-updated signals. Pass 0 to stop updating the position.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

`interval` (Number) –

interval in ms

#### GstTranscoder.Transcoder.set_position_update_interval

    def GstTranscoder.Transcoder.set_position_update_interval (self, interval):
        #python wrapper for 'gst_transcoder_set_position_update_interval'

Set interval in milliseconds between two position-updated signals. Pass 0 to stop updating the position.

Parameters:

`self` (GstTranscoder.Transcoder) –

GstTranscoder.Transcoder instance

`interval` (int) –

interval in ms

### Functions

#### gst_transcoder_is_transcoder_message

    gboolean
    gst_transcoder_is_transcoder_message (GstMessage * msg)

Parameters:

`msg` –

A GstMessage

Returns –

A gboolean indicating whether the passes message represents a GstTranscoder message or not.

Since : 1.20

#### GstTranscoder.Transcoder.prototype.is_transcoder_message

    function GstTranscoder.Transcoder.prototype.is_transcoder_message(msg: Gst.Message): {
        // javascript wrapper for 'gst_transcoder_is_transcoder_message'
    }

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns (Number) –

A Number indicating whether the passes message represents a GstTranscoder.Transcoder message or not.

Since : 1.20

#### GstTranscoder.Transcoder.is_transcoder_message

    def GstTranscoder.Transcoder.is_transcoder_message (msg):
        #python wrapper for 'gst_transcoder_is_transcoder_message'

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Returns (bool) –

A bool indicating whether the passes message represents a GstTranscoder.Transcoder message or not.

Since : 1.20

### Properties

#### avoid-reencoding

    “avoid-reencoding” gboolean

See avoid-reencoding

Flags : Read / Write

#### avoid-reencoding

    “avoid-reencoding” Number

See avoid-reencoding (not introspectable)

Flags : Read / Write

#### avoid_reencoding

    “self.props.avoid_reencoding” bool

See avoid-reencoding (not introspectable)

Flags : Read / Write

#### dest-uri

    “dest-uri” gchar *

Flags : Read / Write / Construct Only

#### dest-uri

    “dest-uri” String

Flags : Read / Write / Construct Only

#### dest_uri

    “self.props.dest_uri” str

Flags : Read / Write / Construct Only

#### duration

    “duration” guint64

Flags : Read

#### duration

    “duration” Number

Flags : Read

#### duration

    “self.props.duration” int

Flags : Read

#### pipeline

    “pipeline” GstElement *

Flags : Read

#### pipeline

    “pipeline” Gst.Element

Flags : Read

#### pipeline

    “self.props.pipeline” Gst.Element

Flags : Read

#### position

    “position” guint64

Flags : Read

#### position

    “position” Number

Flags : Read

#### position

    “self.props.position” int

Flags : Read

#### position-update-interval

    “position-update-interval” guint

Flags : Read / Write

#### position-update-interval

    “position-update-interval” Number

Flags : Read / Write

#### position_update_interval

    “self.props.position_update_interval” int

Flags : Read / Write

#### profile

    “profile” GstEncodingProfile *

Flags : Read / Write / Construct Only

#### profile

    “profile” GstPbutils.EncodingProfile

Flags : Read / Write / Construct Only

#### profile

    “self.props.profile” GstPbutils.EncodingProfile

Flags : Read / Write / Construct Only

#### src-uri

    “src-uri” gchar *

Flags : Read / Write / Construct Only

#### src-uri

    “src-uri” String

Flags : Read / Write / Construct Only

#### src_uri

    “self.props.src_uri” str

Flags : Read / Write / Construct Only

## Functions

### gst_transcoder_error_get_name

    const gchar *
    gst_transcoder_error_get_name (GstTranscoderError error)

Gets a string representing the given error.

Parameters:

`error` –

a GstTranscoderError

Returns ( [transfer: none]) –

a string with the given error.

### GstTranscoder.TranscoderError.prototype.get_name

    function GstTranscoder.TranscoderError.prototype.get_name(error: GstTranscoder.TranscoderError): {
        // javascript wrapper for 'gst_transcoder_error_get_name'
    }

Gets a string representing the given error.

Parameters:

`error` (GstTranscoder.TranscoderError) –

a GstTranscoder.TranscoderError

Returns (String) –

a string with the given error.

### GstTranscoder.TranscoderError.get_name

    def GstTranscoder.TranscoderError.get_name (error):
        #python wrapper for 'gst_transcoder_error_get_name'

Gets a string representing the given error.

Parameters:

`error` (GstTranscoder.TranscoderError) –

a GstTranscoder.TranscoderError

Returns (str) –

a string with the given error.

### gst_transcoder_error_quark

    GQuark
    gst_transcoder_error_quark ()

Returns –
No description available

### GstTranscoder.TranscoderError.prototype.quark

    function GstTranscoder.TranscoderError.prototype.quark(): {
        // javascript wrapper for 'gst_transcoder_error_quark'
    }

Returns (GLib.Quark) –
No description available

### GstTranscoder.TranscoderError.quark

    def GstTranscoder.TranscoderError.quark ():
        #python wrapper for 'gst_transcoder_error_quark'

Returns (GLib.Quark) –
No description available

### gst_transcoder_message_get_name

    const gchar *
    gst_transcoder_message_get_name (GstTranscoderMessage message)

Returns (transfer none): The message name

Parameters:

`message` –

a GstTranscoderMessage

Returns –
No description available

Since : 1.20

### GstTranscoder.TranscoderMessage.prototype.get_name

    function GstTranscoder.TranscoderMessage.prototype.get_name(message: GstTranscoder.TranscoderMessage): {
        // javascript wrapper for 'gst_transcoder_message_get_name'
    }

Returns (transfer none): The message name

Parameters:

`message` (GstTranscoder.TranscoderMessage) –

a GstTranscoder.TranscoderMessage

Returns (String) –
No description available

Since : 1.20

### GstTranscoder.TranscoderMessage.get_name

    def GstTranscoder.TranscoderMessage.get_name (message):
        #python wrapper for 'gst_transcoder_message_get_name'

Returns (transfer none): The message name

Parameters:

`message` (GstTranscoder.TranscoderMessage) –

a GstTranscoder.TranscoderMessage

Returns (str) –
No description available

Since : 1.20

### gst_transcoder_message_parse_duration

    gst_transcoder_message_parse_duration (GstMessage * msg,
                                           GstClockTime * duration)

Parse the given duration msg and extract the corresponding GstClockTime

Parameters:

`msg` –

A GstMessage

`duration` ( [out]) –

the resulting duration

Since : 1.20

### GstTranscoder.TranscoderMessage.prototype.parse_duration

    function GstTranscoder.TranscoderMessage.prototype.parse_duration(msg: Gst.Message): {
        // javascript wrapper for 'gst_transcoder_message_parse_duration'
    }

Parse the given duration msg and extract the corresponding Number

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstTranscoder.TranscoderMessage.parse_duration

    def GstTranscoder.TranscoderMessage.parse_duration (msg):
        #python wrapper for 'gst_transcoder_message_parse_duration'

Parse the given duration msg and extract the corresponding int

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_transcoder_message_parse_error

    gst_transcoder_message_parse_error (GstMessage * msg,
                                        GError * error,
                                        GstStructure ** details)

Parse the given error msg and extract the corresponding GError

Parameters:

`msg` –

A GstMessage

`error` ( [out][optional][transfer: full]) –

the resulting error

`details` ( [out]) –

(transfer full): A GstStructure containing extra details about the error

Since : 1.20

### GstTranscoder.TranscoderMessage.prototype.parse_error

    function GstTranscoder.TranscoderMessage.prototype.parse_error(msg: Gst.Message): {
        // javascript wrapper for 'gst_transcoder_message_parse_error'
    }

Parse the given error msg and extract the corresponding GError (not introspectable)

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstTranscoder.TranscoderMessage.parse_error

    def GstTranscoder.TranscoderMessage.parse_error (msg):
        #python wrapper for 'gst_transcoder_message_parse_error'

Parse the given error msg and extract the corresponding GError (not introspectable)

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_transcoder_message_parse_position

    gst_transcoder_message_parse_position (GstMessage * msg,
                                           GstClockTime * position)

Parse the given position msg and extract the corresponding GstClockTime

Parameters:

`msg` –

A GstMessage

`position` ( [out]) –

the resulting position

Since : 1.20

### GstTranscoder.TranscoderMessage.prototype.parse_position

    function GstTranscoder.TranscoderMessage.prototype.parse_position(msg: Gst.Message): {
        // javascript wrapper for 'gst_transcoder_message_parse_position'
    }

Parse the given position msg and extract the corresponding Number

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstTranscoder.TranscoderMessage.parse_position

    def GstTranscoder.TranscoderMessage.parse_position (msg):
        #python wrapper for 'gst_transcoder_message_parse_position'

Parse the given position msg and extract the corresponding int

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_transcoder_message_parse_state

    gst_transcoder_message_parse_state (GstMessage * msg,
                                        GstTranscoderState * state)

Parse the given state msg and extract the corresponding GstTranscoderState

Parameters:

`msg` –

A GstMessage

`state` ( [out]) –

the resulting state

Since : 1.20

### GstTranscoder.TranscoderMessage.prototype.parse_state

    function GstTranscoder.TranscoderMessage.prototype.parse_state(msg: Gst.Message): {
        // javascript wrapper for 'gst_transcoder_message_parse_state'
    }

Parse the given state msg and extract the corresponding GstTranscoder.TranscoderState

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstTranscoder.TranscoderMessage.parse_state

    def GstTranscoder.TranscoderMessage.parse_state (msg):
        #python wrapper for 'gst_transcoder_message_parse_state'

Parse the given state msg and extract the corresponding GstTranscoder.TranscoderState

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_transcoder_message_parse_warning

    gst_transcoder_message_parse_warning (GstMessage * msg,
                                          GError * error,
                                          GstStructure ** details)

Parse the given error msg and extract the corresponding GError warning

Parameters:

`msg` –

A GstMessage

`error` ( [out][optional][transfer: full]) –

the resulting warning

`details` ( [out]) –

(transfer full): A GstStructure containing extra details about the warning

Since : 1.20

### GstTranscoder.TranscoderMessage.prototype.parse_warning

    function GstTranscoder.TranscoderMessage.prototype.parse_warning(msg: Gst.Message): {
        // javascript wrapper for 'gst_transcoder_message_parse_warning'
    }

Parse the given error msg and extract the corresponding GError (not introspectable) warning

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### GstTranscoder.TranscoderMessage.parse_warning

    def GstTranscoder.TranscoderMessage.parse_warning (msg):
        #python wrapper for 'gst_transcoder_message_parse_warning'

Parse the given error msg and extract the corresponding GError (not introspectable) warning

Parameters:

`msg` (Gst.Message) –

A Gst.Message

Since : 1.20

### gst_transcoder_state_get_name

    const gchar *
    gst_transcoder_state_get_name (GstTranscoderState state)

Gets a string representing the given state.

Parameters:

`state` –

a GstTranscoderState

Returns ( [transfer: none]) –

a string with the name of the state.

Since : 1.20

### GstTranscoder.TranscoderState.prototype.get_name

    function GstTranscoder.TranscoderState.prototype.get_name(state: GstTranscoder.TranscoderState): {
        // javascript wrapper for 'gst_transcoder_state_get_name'
    }

Gets a string representing the given state.

Parameters:

`state` (GstTranscoder.TranscoderState) –

a GstTranscoder.TranscoderState

Returns (String) –

a string with the name of the state.

Since : 1.20

### GstTranscoder.TranscoderState.get_name

    def GstTranscoder.TranscoderState.get_name (state):
        #python wrapper for 'gst_transcoder_state_get_name'

Gets a string representing the given state.

Parameters:

`state` (GstTranscoder.TranscoderState) –

a GstTranscoder.TranscoderState

Returns (str) –

a string with the name of the state.

Since : 1.20

## Enumerations

### GstTranscoderError

##### Members

`GST_TRANSCODER_ERROR_FAILED` (0) –

generic error.

### GstTranscoder.TranscoderError

##### Members

`GstTranscoder.TranscoderError.FAILED` (0) –

generic error.

### GstTranscoder.TranscoderError

##### Members

`GstTranscoder.TranscoderError.FAILED` (0) –

generic error.

### GstTranscoderMessage

Types of messages that will be posted on the transcoder API bus.

See also gst_transcoder_get_message_bus()

##### Members

`GST_TRANSCODER_MESSAGE_POSITION_UPDATED` (0) –

Sink position changed

`GST_TRANSCODER_MESSAGE_DURATION_CHANGED` (1) –

Duration of stream changed

`GST_TRANSCODER_MESSAGE_STATE_CHANGED` (2) –

Pipeline state changed

`GST_TRANSCODER_MESSAGE_DONE` (3) –

Transcoding is done

`GST_TRANSCODER_MESSAGE_ERROR` (4) –

Message contains an error

`GST_TRANSCODER_MESSAGE_WARNING` (5) –

Message contains an error

Since : 1.20

### GstTranscoder.TranscoderMessage

Types of messages that will be posted on the transcoder API bus.

See also GstTranscoder.Transcoder.prototype.get_message_bus()

##### Members

`GstTranscoder.TranscoderMessage.POSITION_UPDATED` (0) –

Sink position changed

`GstTranscoder.TranscoderMessage.DURATION_CHANGED` (1) –

Duration of stream changed

`GstTranscoder.TranscoderMessage.STATE_CHANGED` (2) –

Pipeline state changed

`GstTranscoder.TranscoderMessage.DONE` (3) –

Transcoding is done

`GstTranscoder.TranscoderMessage.ERROR` (4) –

Message contains an error

`GstTranscoder.TranscoderMessage.WARNING` (5) –

Message contains an error

Since : 1.20

### GstTranscoder.TranscoderMessage

Types of messages that will be posted on the transcoder API bus.

See also GstTranscoder.Transcoder.get_message_bus()

##### Members

`GstTranscoder.TranscoderMessage.POSITION_UPDATED` (0) –

Sink position changed

`GstTranscoder.TranscoderMessage.DURATION_CHANGED` (1) –

Duration of stream changed

`GstTranscoder.TranscoderMessage.STATE_CHANGED` (2) –

Pipeline state changed

`GstTranscoder.TranscoderMessage.DONE` (3) –

Transcoding is done

`GstTranscoder.TranscoderMessage.ERROR` (4) –

Message contains an error

`GstTranscoder.TranscoderMessage.WARNING` (5) –

Message contains an error

Since : 1.20

### GstTranscoderState

High level representation of the transcoder pipeline state.

##### Members

`GST_TRANSCODER_STATE_STOPPED` (0) –

the transcoder is stopped.

`GST_TRANSCODER_STATE_PAUSED` (1) –

the transcoder is paused.

`GST_TRANSCODER_STATE_PLAYING` (2) –

the transcoder is currently transcoding a stream.

Since : 1.20

### GstTranscoder.TranscoderState

High level representation of the transcoder pipeline state.

##### Members

`GstTranscoder.TranscoderState.STOPPED` (0) –

the transcoder is stopped.

`GstTranscoder.TranscoderState.PAUSED` (1) –

the transcoder is paused.

`GstTranscoder.TranscoderState.PLAYING` (2) –

the transcoder is currently transcoding a stream.

Since : 1.20

### GstTranscoder.TranscoderState

High level representation of the transcoder pipeline state.

##### Members

`GstTranscoder.TranscoderState.STOPPED` (0) –

the transcoder is stopped.

`GstTranscoder.TranscoderState.PAUSED` (1) –

the transcoder is paused.

`GstTranscoder.TranscoderState.PLAYING` (2) –

the transcoder is currently transcoding a stream.

Since : 1.20

## Constants

### GST_TRANSCODER_ERROR

    #define GST_TRANSCODER_ERROR                         (gst_transcoder_error_quark ())

### GST_TYPE_TRANSCODER

    #define GST_TYPE_TRANSCODER (gst_transcoder_get_type ())

The results of the search are